/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

.mobile-br{display:block;}
form.checkout .woocommerce-billing-fields label{display: none;}
div.description{font-family: 'Arimo';font-size: 13px;font-weight: 300;}
.wc-10-payments{font-size: 14px;font-family: 'Arimo';font-weight: 400;}
#page, .site, .site-content, .elementor{ 
    overflow-x: clip; 
}
#acwp-toolbar-btn-wrap {
	top:190px!important;
	z-index:999!important;
    left: 10px!important;
}
.coupon-col-start input#coupon_code{padding: 1em!important;}

details.e-n-accordion-item:has(.jet-filter[style*="display: none"]) {
    display: none !important;
  }
  

.jet-carousel .jet-carousel__item-img{
    display:block;
    width:100% !important;
    max-width:none !important;
    height:100% !important;
    object-fit:cover;
}

.swiper-slide.e-loop-item:not(:has(.advanced-woo-labels)) .elementor-widget-jet-listing-woo-data .onsale{
    top: 1em !important;
}
.archive .e-loop-item:not(:has(.advanced-woo-labels)) .elementor-widget-jet-listing-woo-data .onsale{
    top: 1em !important;
} 


p.price:not(:has(ins)) span.woocommerce-Price-amount bdi{
   color:#6D8E3D;
   font-size:20px;
   font-weight: 700;

}

div.elementor-widget-woocommerce-product-price:has(ins) p.price{
    display: flex!important;
    flex-direction: column-reverse!important;
    gap: 10px !important;
}

div.elementor-widget-woocommerce-product-price:has(del) del{
    color: #000!important;
    opacity: 1!important;
    font-size: 16px!important;
    font-weight: 300!important;

}

div.elementor-widget-woocommerce-product-price:has(del) ins bdi{
    color: #6D8E3D!important;
    font-size:20px!important;
    font-weight: 700!important;
}

.single-top-price p.price ins bdi{
    font-size: 25px!important;
    text-decoration: none!important;
}

body.single-product .single-top-price p.price{
    display: flex!important;
    flex-direction: column!important;
    
}
body.single-product .single-top-price p.price del{
    margin-bottom: 0!important;
    font-size: 20px!important;
    font-weight: 400!important;
}




.read_more_container {
    max-height: 260px;
    overflow: hidden;
    transition: max-height 0.4s ease;
}

.read_more_container.open {
    max-height: none;
}

.read_more_btn {
    cursor: pointer;
}


.rating.google{
    display:flex;
    flex-direction:column;
    align-items:center;
    text-align:center;
    direction:ltr; 
    font-family:inherit;
  }
  

  .rating.google > span{
    display:inline-flex;
    align-items:center;
    gap:6px;
    font-size:16px;
    font-weight:500;
    line-height:1;
  }
  
  /* הכוכבים עצמם */
  .rating.google .star{
    width:16px;
    height:16px;
    display:inline-block;
    background-color:#e0e0e0;
    clip-path: polygon(
      50% 0%,
      61% 35%,
      98% 35%,
      68% 57%,
      79% 91%,
      50% 70%,
      21% 91%,
      32% 57%,
      2% 35%,
      39% 35%
    );
  }
  
  .rating.google .star.on{
    background-color:#f9bd09;
  }
  
  .rating.google .star.half{
    background: linear-gradient(to right, #f9bd09 50%, #e0e0e0 50%);
  }
  
  /* כמות ביקורות בסוגריים */
  .rating.google .rating-count{
    color:#555;
    font-size:16px;
    font-weight:400;
    margin-left:2px;
  }
  
  /* שורה תחתונה */
  .rating.google p{
    margin:6px 0 0;
    font-size:13px;
    color:#000;
    font-weight:400;
  }

.rating-score{
    font-weight: 200;
    font-size: 18px;
}

/** variations Table styles Product Single Page*/
table.variations{margin-bottom: 20px!important;}
.woocommerce div.product form.cart .variations select{max-width: 50%!important;}

.woocommerce div.product form.cart .variations{
    border-collapse: collapse;
}


.variations tr{
    display: flex;
    gap: 12px;
}


.variations tr + tr{
    margin-top: 15px;
}

.variations th.label{
    padding: 0;
    white-space: nowrap;
    font-weight: 700;
    font-size: 16px;
    color: #6D8E3D;
}

.variations td.value{
    padding: 0;
    flex: 1;
}

.variations .variable-items-wrapper{
    margin: 0;
}


.variations,
.variations tr,
.variations th,
.variations td{
    background: transparent !important;
    border: 0 !important;
}

.variations tr:hover,
.variations td:hover{
    background: transparent !important;
}
.variations th{line-height: 24px;}


button.wpcbn-btn.wpcbn-btn-single.wpcbn-btn-simple.single_add_to_cart_button.button.alt{margin-right: 10px!important;margin-left: 10px!important;}

.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item){
    padding: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

span.variable-item-span.variable-item-span-color{
    border-radius: 6px;
}
.woo-selected-variation-item-name{
    display: none!important;
}


.tinvwl_add_to_wishlist_button.tinvwl-icon-heart{color:#000!important;}
.tinvwl_add_to_wishlist_button.tinvwl-icon-heart.tinvwl-product-make-remove{color:#6D8E3D!important;}
.woocommerce-variation-add-to-cart{gap:10px;}
.wpcbn-btn.wpcbn-btn-single{
    background-color: #fff!important;
    color: #6d8e3d !important;
}
.wpcbn-btn.wpcbn-btn-single:hover{
    background-color: #6d8e3d!important;
    color: #fff!important;
}


.woocommerce-message {
    display: none !important;
}


.woocommerce-info {
    display: none !important;
}


.woocommerce-error {
    display: block !important;
}

.e-loop-item .prod-title,
.e-loop-item .prod-title .elementor-widget-container,
.e-loop-item .prod-title .elementor-widget-container p{
  display: -webkit-box !important;
  -webkit-box-orient: vertical !important;
  -webkit-line-clamp: 2 !important;
  overflow: hidden !important;
  white-space: normal !important;
  line-height: 1.35 !important;
  max-height: calc(1.35em * 2) !important;
}


.elementor-widget-woocommerce-products.products-heading-show .cross-sells>h2{
    color:#6D8E3D;
    font-size: 24px;
    font-weight: 600;
    font-family: 'Arimo';
}

.cross-sells ul.products li a img{
    width:100%;
    height:238px!important;
    object-fit:cover;
}

.cross-sells ul.products li a .awl-label-wrap{
display: flex;
padding-top: 6px;
}


.cross-sells ul.products li .tinv-wraper{display: none;}


.single-product .woocommerce-product-gallery__image:not(:first-child) img{
    width:auto;
    height:auto;
    object-fit:contain;
}

.results .resdrg .asl_content .asl_res_url{
    font-family: 'Arimo'!important;
    font-size: 14px!important;
    font-weight: 400!important;
    color:#6D8E3D!important;
}
div.asl_r p.showmore span{
    color:#000;
    font-family: 'Arimo'!important;
    font-size: 14px!important;
    font-weight: 400!important;
}

.out_of_stock_overlay {
    position: relative;
}

.outofstock .out_of_stock_overlay::after {
    content: "אזל מהמלאי";
    position: absolute;
    inset: 0;
    background: rgba(255,255,255,0.69);
    color: #000;
    font-family: 'Arimo';
    font-size: 16px;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 5;
    pointer-events: none;
}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column-standard{padding: 0 0 5px 0!important;}
ul.mega-sub-menu .mega-menu-link{font-family: 'Arimo'!important;font-size: 14px!important;font-weight: 400!important;}

.single-product span.onsale {
    font-size: 14px!important;
    font-weight: 700!important;
    font-family: 'Arimo'!important;
    min-width: 63px!important;
    min-height: 30px!important;
    padding: 7px 12px!important;
    border-radius: 10px!important;
    line-height: 18px!important;
    color: #6D8E3D!important;
    background-color: #fff!important;
    position: absolute;
    top: 2.5em;
    right:10px;
    direction: ltr;
}

.archive .e-loop-item span.onsale{
    font-size: 14px!important;
    font-weight: 700!important;
    font-family: 'Arimo'!important;
    min-width: 63px!important;
    min-height: 30px!important;
    padding: 7px 12px!important;
    border-radius: 10px!important;
    line-height: 18px!important;
    color: #6D8E3D!important;
    background-color: #fff!important;
    position: absolute;
    top: 2.5em;
    right:10px;
    direction: ltr;
}




.swiper-slide.e-loop-item{
    position: relative;
}


.swiper-slide.e-loop-item .elementor-widget-jet-listing-woo-data .onsale{
    font-size: 14px !important;
    font-weight: 700 !important;
    font-family: 'Arimo' !important;
    min-width: 63px !important;
    min-height: 30px !important;
    padding: 7px 12px !important;
    border-radius: 10px !important;
    line-height: 18px !important;
    color: #6D8E3D !important;
    background-color: #fff !important;
    position: absolute !important;
    top: 2.5em !important;
    right: 10px !important;
    direction: ltr !important;
    z-index: 50 !important;
}





@media screen and (max-width: 1024px) {
    .mobile-br{display:none;}
}


@media screen and (max-width: 767px) {
    .mobile-br{display:none;}
    .stock.in-stock{text-align: center;}
    #acwp-toolbar-btn-wrap{
        top: 300px!important;
    }
    #acwp-toolbar-btn {
        width: 38px;
        height: 38px;
        display: flex;
    }

    table.variations{margin-bottom: 0px!important;}

    .woocommerce div.product form.cart .variations select{max-width: 100%!important;}

    .variations tr{
        display: table-row;
        margin-top: 0; /* מבטל את ריווח ה-flex */
        gap: 0;
      }
    
      .variations th,
      .variations td{
        display: table-cell;
        width: auto;
      }

    .single_add_to_cart_button.button{
        margin-bottom: 0px!important;
    }
    .wpcbn-btn.wpcbn-btn-single{width:100%;}
  

    .variations tr + th{
        margin-top: 0px;
    }


    .woocommerce-variation-add-to-cart.variations_button{
        display: flex;
        flex-direction: column;
    }

    .single-product form.cart{
        flex-direction: column;
        gap: 10px;
    }

    button.wpcbn-btn.wpcbn-btn-single.wpcbn-btn-simple.single_add_to_cart_button.button.alt{margin-right: 0px!important;margin-left: 0px!important;}
    .single-product .tinvwl-woocommerce_after_add_to_cart_button{text-align: center;}

}